%{expand:%%define buildfor %(A=$(awk '{print $4}' /etc/redhat-release); echo $A)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/redhat-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/redhat-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor10_0 %(A=$(awk '{print $4}' /etc/redhat-release); if [ "$A" = 10 ]; then echo 1; else echo 0; fi)}

%if %buildfor10_0
%define 		unstable 	1
%else
%define 		unstable 	0
%endif

%define         name 		bibletime-i18n
%define         version 	1.5.1
%define		appname		bibletime

# this needs to be changed depending on build number
%define		release 	%mkrel 3

# This the RPM group on your system that this will installed into.
# Graphical desktop/KDE, X11/apps, etc.
%define			rpmgroup 	System/Internationalization


Summary:        BibleTime %{version} is an easy to use Bible study tool for KDE.
Name:		%{name}
Version:        %{version}
Release:        %{release}
License:      GPL
Url:            http://www.bibletime.info/
Group:          %{rpmgroup}
Source:		http://prdownloads.sourceforge.net/bibletime/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}--root
BuildRequires:	autoconf 
BuildRequires:  automake 
BuildRequires:  freetype2 
BuildRequires:  gettext 
BuildRequires:  kdelibs-devel
BuildRequires:  make 
BuildRequires:  texinfo
BuildRequires:  X11-devel

%description
These are the Localisation files for BibleTime %{version}

%package -n %{name}-af
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-af
Group:          %{rpmgroup}

%description -n %{name}-af
These are the Localisation files for BibleTime %{version}

%package -n %{name}-bg
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-bg
Group:          %{rpmgroup}

%description -n %{name}-bg
These are the Localisation files for BibleTime %{version}

%package -n %{name}-cs
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-cs
Group:          %{rpmgroup}

%description -n %{name}-cs
These are the Localisation files for BibleTime %{version}

%package -n %{name}-de
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-de
Group:          %{rpmgroup}

%description -n %{name}-de
These are the Localisation files for BibleTime %{version}

%package -n %{name}-en_GB
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-en
Group:          %{rpmgroup}

%description -n %{name}-en_GB
These are the Localisation files for BibleTime %{version}

%package -n %{name}-es
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-es
Group:          %{rpmgroup}

%description -n %{name}-es
These are the Localisation files for BibleTime %{version}

%package -n %{name}-fi
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-fi
Group:          %{rpmgroup}

%description -n %{name}-fi
These are the Localisation files for BibleTime %{version}

%package -n %{name}-fr
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-fr
Group:          %{rpmgroup}

%description -n %{name}-fr
These are the Localisation files for BibleTime %{version}

%package -n %{name}-hu
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-hu
Group:          %{rpmgroup}

%description -n %{name}-hu
These are the Localisation files for BibleTime %{version}

%package -n %{name}-it
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-it
Group:          %{rpmgroup}

%description -n %{name}-it
These are the Localisation files for BibleTime %{version}

%package -n %{name}-ko
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-ko
Group:          %{rpmgroup}

%description -n %{name}-ko
These are the Localisation files for BibleTime %{version}

%package -n %{name}-nl
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-nl
Group:          %{rpmgroup}

%description -n %{name}-nl
These are the Localisation files for BibleTime %{version}

%package -n %{name}-no
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-no
Group:          %{rpmgroup}

%description -n %{name}-no
These are the Localisation files for BibleTime %{version}

%package -n %{name}-pl
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-pl
Group:          %{rpmgroup}

%description -n %{name}-pl
These are the Localisation files for BibleTime %{version}

%package -n %{name}-pt_br
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-pt
Group:          %{rpmgroup}

%description -n %{name}-pt_br
These are the Localisation files for BibleTime %{version}

%package -n %{name}-ro
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-ro
Group:          %{rpmgroup}

%description -n %{name}-ro
These are the Localisation files for BibleTime %{version}

%package -n %{name}-ru
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-ru
Group:          %{rpmgroup}

%description -n %{name}-ru
These are the Localisation files for BibleTime %{version}

%package -n %{name}-sk
Summary: 	Localisation files for BibleTime %{version}
Requires:	bibletime locales-sk
Group:          %{rpmgroup}

%description -n %{name}-sk
These are the Localisation files for BibleTime %{version}

%package -n %{name}-ua
Summary: 	Localisation files for BibleTime %{version}
#Requires:	bibletime locales-ua
Group:          %{rpmgroup}

%description -n %{name}-ua
These are the Localisation files for BibleTime %{version}



%prep
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%setup -q -n %{name}-%{version}
#make -f Makefile.cvs

%configure

%make 

%install
%makeinstall_std
# we'd better used %find_lang in the first place...


%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
#rm -f $RPM_BUILD_DIR/master.list
rm -rf $RPM_BUILD_ROOT

%files -n %{name}-af
%defattr(-,root,root,-)
%{_datadir}/locale/af/LC_MESSAGES/%{appname}.mo

%files -n %{name}-bg
%defattr(-,root,root,-)
%_docdir/HTML/bg/bibletime
%{_datadir}/locale/bg/LC_MESSAGES/%{appname}.mo

%files -n %{name}-cs
%defattr(-,root,root,-)
%_docdir/HTML/cs/bibletime
%{_datadir}/locale/cs/LC_MESSAGES/%{appname}.mo

%files -n %{name}-de
%defattr(-,root,root,-)
%_docdir/HTML/de/bibletime
%{_datadir}/locale/de/LC_MESSAGES/%{appname}.mo

%files -n %{name}-en_GB
%defattr(-,root,root,-)
%{_datadir}/locale/en_GB/LC_MESSAGES/%{appname}.mo

%files -n %{name}-es
%defattr(-,root,root,-)
%{_datadir}/locale/es/LC_MESSAGES/%{appname}.mo

%files -n %{name}-fi
%defattr(-,root,root,-)
%_docdir/HTML/fi/bibletime
%{_datadir}/locale/fi/LC_MESSAGES/%{appname}.mo

%files -n %{name}-fr
%defattr(-,root,root,-)
%_docdir/HTML/fr/bibletime
%{_datadir}/locale/fr/LC_MESSAGES/%{appname}.mo

%files -n %{name}-hu
%defattr(-,root,root,-)
%{_datadir}/locale/hu/LC_MESSAGES/%{appname}.mo

%files -n %{name}-it
%defattr(-,root,root,-)
%_docdir/HTML/it/bibletime
%{_datadir}/locale/it/LC_MESSAGES/%{appname}.mo

%files -n %{name}-ko
%defattr(-,root,root,-)
%_docdir/HTML/ko/bibletime
%{_datadir}/locale/ko/LC_MESSAGES/%{appname}.mo

%files -n %{name}-nl
%defattr(-,root,root,-)
%_docdir/HTML/nl/bibletime
%{_datadir}/locale/nl/LC_MESSAGES/%{appname}.mo

%files -n %{name}-no
%defattr(-,root,root,-)
%{_datadir}/locale/no/LC_MESSAGES/%{appname}.mo
%{_datadir}/locale/nn_NO/LC_MESSAGES/%{appname}.mo

%files -n %{name}-pl
%defattr(-,root,root,-)
%{_datadir}/locale/pl/LC_MESSAGES/%{appname}.mo

%files -n %{name}-pt_br
%defattr(-,root,root,-)
%_docdir/HTML/pt-br/bibletime
%{_datadir}/locale/pt_br/LC_MESSAGES/%{appname}.mo

%files -n %{name}-ro
%defattr(-,root,root,-)
%{_datadir}/locale/ro/LC_MESSAGES/%{appname}.mo

%files -n %{name}-ru
%defattr(-,root,root,-)
%_docdir/HTML/ru/bibletime
%{_datadir}/locale/ru/LC_MESSAGES/%{appname}.mo

%files -n %{name}-sk
%defattr(-,root,root,-)
%{_datadir}/locale/sk/LC_MESSAGES/%{appname}.mo

%files -n %{name}-ua
%defattr(-,root,root,-)
%{_datadir}/locale/ua/LC_MESSAGES/%{appname}.mo

%changelog
* Tue Oct 04 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.1-3mdk
- Fix BuildRequires

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.5.1-2mdk
- Fix BuildRequires

* Wed Sep 14 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.5.1-1mdk
- New release 1.5.1
- cleanups

* Thu Feb 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4.1-2mdk
- fix dependancies

* Fri Feb 24 2004 Brook Humphrey <bah@linux-mandrake.com> 1.4.1-1mdk
- updated for bibletime 1.4.1

* Sun Feb 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.4-2mdk
- fix groups and summaries
- sanitize license tag
- kill wrongly filled vendor/distribution tags (automatically filled)

* Fri Nov 14 2003 Brook Humphrey <bah@linux-mandrake.com> 1.4-1mdk
- updated for bibletime 1.4

* Fri Nov 14 2003 Brook Humphrey <bah@linux-mandrake.com> 1.3-1mdk
- cleaned up spec some
- seperated out packages into individual languages.

* Sun Jun 22 2003 Joachim Ansorg <junkmail@joachim.ansorgs.de>

-Cleanup. We require no an Sword RPM file to be installed.

-Removed Mandrake menu stuff because there's an own SPEC file for this.


* Fri Feb 14 2003 Joachim Ansorg <junkmail@joachim.ansorgs.de>

-Removed locales.d source and management of Sword files because we require a Sword RPM now.


* Mon Apr 8 2002 Brook Humphrey <bah@webmedic.net> bibletime-1.1

- Added to the spec to better handle mandrake menus during compile. Now should be compatable with all os's.

- added locals.d source to build. This removes dependecy on sword being installed. Will make seperate package for this later.


* Fri Mar 31 2002 Joachim Ansorg <jansorg@gmx.de>

- Made including the book translations working finally.

- Fixed SPEC files to work with SuSE


* Thu Feb 7 2002 Brook Humphrey <bah@webmedic.net> bibletime-1.0.2

- changed compile time options to mach bibletime spec included with source files

- compiled on mandrake 8.2


* Fri Sep 7 2001 Joachim Ansorg <jansorg@gmx.de>

- Added the bookname files in the file list

* Tue Jul 10 2001 Brook Humphrey <bah@webmedic.net> bibletime-1.0.1-Mandrake8.0.4mdk

- Recompile because of dependecy problems.  

* Tue Jul 10 2001 Brook Humphrey <bah@webmedic.net> bibletime-1.0.1-Mandrake8.0.1mdk

- bug fix release bibletime-1.0.1

- adda extra compile options to spec file.

- Merged in suse changes for compileing on SuSE

* Sun May 27 2001 Brook Humphrey <bah@webmedic.net>

- Trying different variations of static compiles again.

- Still using cvs sources while waiting for 1.0 release.

* Thu May 24 2001 Brook Humphrey <bah@webmedic.net>

- Trying for x static and whatever else we can get into it.

- No X for today Got libz to compile in but it causes segfault.

* Wed May 23 2001 Brook Humphrey <bah@webmedic.net>

- Yet another try at static qt.

- Qt static works now.

* Mon May 21 2001 Brook Humphrey <bah@webmedic.net>

- Static is working for kde and a few other libs but not qt yet.

- Testing another patch today to try to get qt compiled static.

* Sun May 20 2001 Brook Humphrey <bah@webmedic.net>

- Cleaned up spec some more(stupid spelling error's)

- static compile not working today so added option to compile kde and sword as static seperately

* Sat May 19 2001 Brook Humphrey <bah@webmedic.net>

- Cleaned up spec some more and added a few more comments

- Changed spec to automaticly do parts concerning static and Mandrake menus

- All info can be set in defines at top of spec file no other changes should need to be made

- Fixed patch to compile static should now compile static with kde libs 

- Test to compile with qt as static also

* Sun May 13 2001 Brook Humphrey <bah@webmedic.net>

- cleaned up spec file and added more comments for easier reading.

- changed sword.conf instelation to check for previous versions of sword.conf

- If found a new sword.conf is not created

- Made a patch to hopefully compile kde and other libs as atatic

- static compile didn't work for today.

* Tue May 8 2001 Brook Humphrey <bah@webmedic.net>

- Updated package to be relocatable

- added sword directories and sword.conf to install

* Mon Apr 30 2001 Brook Humphrey <bah@webmedic.net>

- Changed to build staticly

- added more mandrake macros to spec file

* Mon Apr 23 2001 Brook Humphrey <bah@webmedic.net>

- made changes to enable compile of cvs tree

* Wed Mar 14 2001 Brook Humphrey <bah@webmedic.net>

- updated to use mandrake menu sysem

